package com.xisc.pm.infra.repository.impl;

import org.hzero.mybatis.base.impl.BaseRepositoryImpl;
import com.xisc.pm.domain.entity.PmPdRecCfg;
import com.xisc.pm.domain.repository.PmPdRecCfgRepository;
import org.springframework.stereotype.Component;

/**
 * 组板履历事件配置表 资源库实现
 *
 * @author 曾俊 jun.zeng@hand-china.com 2024-07-31 08:01:12
 */
@Component
public class PmPdRecCfgRepositoryImpl extends BaseRepositoryImpl<PmPdRecCfg> implements PmPdRecCfgRepository {

    @Override
    public PmPdRecCfg selectByEventCode(String code) {
        PmPdRecCfg record = new PmPdRecCfg();
        record.setEventCode(code);
        return this.selectOne(record);
    }


}
